### Method

# EDataCal DataCal respond_modify_objects

since: 3.6

#### Declaration [src]

    void
    e_data_cal_respond_modify_objects (
      EDataCal* cal,
      guint32 opid,
      GError* error,
      GSList* old_components,
      GSList* new_components
    )

#### Description [src]

Notifies listeners of the completion of the modify_objects method call.

Available since: 3.6

#### Parameters

`opid`

  Type: `guint32`

  Associated operation id.

`error`

  Type: `GError`

  Operation error, if any, automatically freed if passed it.

  The argument can be `NULL`.
  The instance takes ownership of the data, and is responsible for freeing it.

`old_components`

  Type: A list of `None`

  The old `ECalComponent`(s).

  The data is owned by the caller of the method.

`new_components`

  Type: A list of `None`

  The new `ECalComponent`(s).

  The data is owned by the caller of the method.